
Foreman - Bug #268

500 Error on "All Puppet Classes"

05/26/2010 12:07 AM - Eric Shamow

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_f

og_proxmox/pull/267

  

Description

A 500 error is generated when viewing a host and the user clicks "All Puppet Classes."

It appears that the ERB has bad syntax -- the first line reads:

<% title "All Puppet Classes for #{host}" %>

 This should read:

<% title "All Puppet Classes for #{@host.name}" %>

 Correcting the line in the ERB fixes the problem.

Associated revisions

Revision bccca063 - 05/26/2010 03:51 AM - Ohad Levy

fixes #268 - 500 Error on "All Puppet Classes"

History

#1 - 05/26/2010 03:53 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#2 - 05/26/2010 03:53 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset bccca063fc6dea3956ff7707eb83a5ba57352f27.

#3 - 05/26/2010 05:22 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#4 - 06/27/2023 09:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman_fog_proxmox/pull/267 added
